### YamlMime:ManagedReference
items:
- uid: OmiLAXR.Helpers.UriHelper
  commentId: T:OmiLAXR.Helpers.UriHelper
  id: UriHelper
  parent: OmiLAXR.Helpers
  children:
  - OmiLAXR.Helpers.UriHelper.Combine(System.String,System.String)
  - OmiLAXR.Helpers.UriHelper.Combine(System.String[])
  - OmiLAXR.Helpers.UriHelper.CombineToString(System.String,System.String)
  - OmiLAXR.Helpers.UriHelper.CombineToString(System.String[])
  langs:
  - csharp
  - vb
  name: UriHelper
  nameWithType: UriHelper
  fullName: OmiLAXR.Helpers.UriHelper
  type: Class
  source:
    remote:
      path: Runtime/Helpers/UriHelper.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: UriHelper
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Helpers/UriHelper.cs
    startLine: 4
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Helpers
  syntax:
    content: public class UriHelper
    content.vb: Public Class UriHelper
  inheritance:
  - System.Object
- uid: OmiLAXR.Helpers.UriHelper.Combine(System.String[])
  commentId: M:OmiLAXR.Helpers.UriHelper.Combine(System.String[])
  id: Combine(System.String[])
  parent: OmiLAXR.Helpers.UriHelper
  langs:
  - csharp
  - vb
  name: Combine(params string[])
  nameWithType: UriHelper.Combine(params string[])
  fullName: OmiLAXR.Helpers.UriHelper.Combine(params string[])
  type: Method
  source:
    remote:
      path: Runtime/Helpers/UriHelper.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: Combine
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Helpers/UriHelper.cs
    startLine: 6
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Helpers
  syntax:
    content: public static Uri Combine(params string[] uris)
    parameters:
    - id: uris
      type: System.String[]
    return:
      type: System.Uri
    content.vb: Public Shared Function Combine(ParamArray uris As String()) As Uri
  overload: OmiLAXR.Helpers.UriHelper.Combine*
  nameWithType.vb: UriHelper.Combine(ParamArray String())
  fullName.vb: OmiLAXR.Helpers.UriHelper.Combine(ParamArray String())
  name.vb: Combine(ParamArray String())
- uid: OmiLAXR.Helpers.UriHelper.Combine(System.String,System.String)
  commentId: M:OmiLAXR.Helpers.UriHelper.Combine(System.String,System.String)
  id: Combine(System.String,System.String)
  parent: OmiLAXR.Helpers.UriHelper
  langs:
  - csharp
  - vb
  name: Combine(string, string)
  nameWithType: UriHelper.Combine(string, string)
  fullName: OmiLAXR.Helpers.UriHelper.Combine(string, string)
  type: Method
  source:
    remote:
      path: Runtime/Helpers/UriHelper.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: Combine
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Helpers/UriHelper.cs
    startLine: 15
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Helpers
  syntax:
    content: public static Uri Combine(string baseUri, string relativeOrAbsoluteUri)
    parameters:
    - id: baseUri
      type: System.String
    - id: relativeOrAbsoluteUri
      type: System.String
    return:
      type: System.Uri
    content.vb: Public Shared Function Combine(baseUri As String, relativeOrAbsoluteUri As String) As Uri
  overload: OmiLAXR.Helpers.UriHelper.Combine*
  nameWithType.vb: UriHelper.Combine(String, String)
  fullName.vb: OmiLAXR.Helpers.UriHelper.Combine(String, String)
  name.vb: Combine(String, String)
- uid: OmiLAXR.Helpers.UriHelper.CombineToString(System.String,System.String)
  commentId: M:OmiLAXR.Helpers.UriHelper.CombineToString(System.String,System.String)
  id: CombineToString(System.String,System.String)
  parent: OmiLAXR.Helpers.UriHelper
  langs:
  - csharp
  - vb
  name: CombineToString(string, string)
  nameWithType: UriHelper.CombineToString(string, string)
  fullName: OmiLAXR.Helpers.UriHelper.CombineToString(string, string)
  type: Method
  source:
    remote:
      path: Runtime/Helpers/UriHelper.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: CombineToString
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Helpers/UriHelper.cs
    startLine: 18
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Helpers
  syntax:
    content: public static string CombineToString(string baseUri, string relativeOrAbsoluteUri)
    parameters:
    - id: baseUri
      type: System.String
    - id: relativeOrAbsoluteUri
      type: System.String
    return:
      type: System.String
    content.vb: Public Shared Function CombineToString(baseUri As String, relativeOrAbsoluteUri As String) As String
  overload: OmiLAXR.Helpers.UriHelper.CombineToString*
  nameWithType.vb: UriHelper.CombineToString(String, String)
  fullName.vb: OmiLAXR.Helpers.UriHelper.CombineToString(String, String)
  name.vb: CombineToString(String, String)
- uid: OmiLAXR.Helpers.UriHelper.CombineToString(System.String[])
  commentId: M:OmiLAXR.Helpers.UriHelper.CombineToString(System.String[])
  id: CombineToString(System.String[])
  parent: OmiLAXR.Helpers.UriHelper
  langs:
  - csharp
  - vb
  name: CombineToString(params string[])
  nameWithType: UriHelper.CombineToString(params string[])
  fullName: OmiLAXR.Helpers.UriHelper.CombineToString(params string[])
  type: Method
  source:
    remote:
      path: Runtime/Helpers/UriHelper.cs
      branch: main
      repo: git@gitlab.com:learntech-rwth/omilaxr-ecosystem/omilaxr.git
    id: CombineToString
    path: ../Assets/OmiLAXR Ecosystem/OmiLAXR/Runtime/Helpers/UriHelper.cs
    startLine: 21
  assemblies:
  - OmiLAXR
  namespace: OmiLAXR.Helpers
  syntax:
    content: public static string CombineToString(params string[] uris)
    parameters:
    - id: uris
      type: System.String[]
    return:
      type: System.String
    content.vb: Public Shared Function CombineToString(ParamArray uris As String()) As String
  overload: OmiLAXR.Helpers.UriHelper.CombineToString*
  nameWithType.vb: UriHelper.CombineToString(ParamArray String())
  fullName.vb: OmiLAXR.Helpers.UriHelper.CombineToString(ParamArray String())
  name.vb: CombineToString(ParamArray String())
references:
- uid: OmiLAXR.Helpers
  commentId: N:OmiLAXR.Helpers
  href: OmiLAXR.html
  name: OmiLAXR.Helpers
  nameWithType: OmiLAXR.Helpers
  fullName: OmiLAXR.Helpers
  spec.csharp:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Helpers
    name: Helpers
    href: OmiLAXR.Helpers.html
  spec.vb:
  - uid: OmiLAXR
    name: OmiLAXR
    href: OmiLAXR.html
  - name: .
  - uid: OmiLAXR.Helpers
    name: Helpers
    href: OmiLAXR.Helpers.html
- uid: System.Object
  commentId: T:System.Object
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.object
  name: object
  nameWithType: object
  fullName: object
  nameWithType.vb: Object
  fullName.vb: Object
  name.vb: Object
- uid: System
  commentId: N:System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system
  name: System
  nameWithType: System
  fullName: System
- uid: OmiLAXR.Helpers.UriHelper.Combine*
  commentId: Overload:OmiLAXR.Helpers.UriHelper.Combine
  href: OmiLAXR.Helpers.UriHelper.html#OmiLAXR.Helpers.UriHelper.Combine(System.String[])
  name: Combine
  nameWithType: UriHelper.Combine
  fullName: OmiLAXR.Helpers.UriHelper.Combine
- uid: System.String[]
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string[]
  nameWithType: string[]
  fullName: string[]
  nameWithType.vb: String()
  fullName.vb: String()
  name.vb: String()
  spec.csharp:
  - uid: System.String
    name: string
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: '['
  - name: ']'
  spec.vb:
  - uid: System.String
    name: String
    isExternal: true
    href: https://learn.microsoft.com/dotnet/api/system.string
  - name: (
  - name: )
- uid: System.Uri
  commentId: T:System.Uri
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.uri
  name: Uri
  nameWithType: Uri
  fullName: System.Uri
- uid: System.String
  commentId: T:System.String
  parent: System
  isExternal: true
  href: https://learn.microsoft.com/dotnet/api/system.string
  name: string
  nameWithType: string
  fullName: string
  nameWithType.vb: String
  fullName.vb: String
  name.vb: String
- uid: OmiLAXR.Helpers.UriHelper.CombineToString*
  commentId: Overload:OmiLAXR.Helpers.UriHelper.CombineToString
  href: OmiLAXR.Helpers.UriHelper.html#OmiLAXR.Helpers.UriHelper.CombineToString(System.String,System.String)
  name: CombineToString
  nameWithType: UriHelper.CombineToString
  fullName: OmiLAXR.Helpers.UriHelper.CombineToString
